org.apache.ignite.internal.processors.igfs

## Class IgfsHandshakeResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsHandshakeResponse

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsHandshakeResponse
    extends Object
    implements Externalizable

Handshake message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsHandshakeResponse()` `Externalizable` support.
`IgfsHandshakeResponse(String igfsName, IgfsPaths paths, long blockSize, Boolean sampling)` Constructor.

### Method Summary

Methods
`long` `blockSize()`
`String` `igfsName()`
`void` `readExternal(ObjectInput in)`
`Boolean` `sampling()`
`IgfsPaths` `secondaryPaths()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsHandshakeResponse

    public IgfsHandshakeResponse()

`Externalizable` support.

#### IgfsHandshakeResponse

    public IgfsHandshakeResponse(String igfsName,
                         IgfsPaths paths,
                         long blockSize,
                         Boolean sampling)

Constructor.

Parameters:
  `paths` - Secondary paths.
  `blockSize` - Server default block size.

### Method Detail

#### igfsName

    public String igfsName()

Returns:
  IGFS name.

#### secondaryPaths

    public IgfsPaths secondaryPaths()

Returns:
  SECONDARY paths configured on server.

#### blockSize

    public long blockSize()

Returns:
  Server default block size.

#### sampling

    public Boolean sampling()

Returns:
  Sampling flag.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017